package main

import (
	"log"
	"os"

	"github.com/urfave/cli/v2"
)

func main() {
	app := &cli.App{
		Name:  "",
		Usage: "",
		Commands: []*cli.Command{
			{
				Name:   "master",
				Usage:  "Runs master node API",
				Action: masterAction,
			},
			{
				Name:   "node",
				Usage:  "Runs node on local machine",
				Action: nodeAction,
			},
			{
				Name:   "print",
				Usage:  "Prints all discovered nodes",
				Action: printAction,
			},
		},
	}

	err := app.Run(os.Args)
	if err != nil {
		log.Fatal(err)
	}
}
